Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.ui.text
Class GroovyFilter

    java.lang.Object
      javax.swing.text.DocumentFilter
          groovy.ui.text.StructuredSyntaxDocumentFilter
              groovy.ui.text.GroovyFilter

    public class GroovyFilter
    extends StructuredSyntaxDocumentFilter

Author:
  Evan "Hippy" Slatis

Nested Class Summary
Modifier and Type | Class and Description
--- | ---

Nested classes/interfaces inherited from class groovy.ui.text.StructuredSyntaxDocumentFilter
`StructuredSyntaxDocumentFilter.LexerNode, StructuredSyntaxDocumentFilter.MultiLineRun`

Nested classes/interfaces inherited from class javax.swing.text.DocumentFilter
`DocumentFilter.FilterBypass`

Field Summary
Modifier and Type | Field and Description
--- | ---
`static String` | `COMMENT`
`static String` | `DIGIT`
`static String` | `IDENT`
`static String` | `LEFT_PARENS`
`static String` | `OPERATION`
`static String` | `QUOTES`
`static String` | `RESERVED_WORD`
`static String[]` | `RESERVED_WORDS`
`static String` | `SINGLE_QUOTES`
`static String` | `SLASH_SLASH_COMMENT`
`static String` | `SLASH_STAR_COMMENT`
`static String` | `SLASHY_QUOTES`

Fields inherited from class groovy.ui.text.StructuredSyntaxDocumentFilter
`lexer, mlTextRunSet, styledDocument, TAB_REPLACEMENT`

Constructor Summary
Constructor and Description
`GroovyFilter(DefaultStyledDocument doc)` Creates a new instance of GroovyFilter

Method Summary
Modifier and Type | Method and Description
--- | ---
`static void` | `installAutoTabAction(JTextComponent tComp)`

Methods inherited from class groovy.ui.text.StructuredSyntaxDocumentFilter
`createLexerNode, getRootNode, insertString, parseDocument, remove, replace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMMENT

    public static final String COMMENT

  See Also:
    Constant Field Values

### SLASH_STAR_COMMENT

    public static final String SLASH_STAR_COMMENT

  See Also:
    Constant Field Values

### SLASH_SLASH_COMMENT

    public static final String SLASH_SLASH_COMMENT

  See Also:
    Constant Field Values

### QUOTES

    public static final String QUOTES

  See Also:
    Constant Field Values

### SINGLE_QUOTES

    public static final String SINGLE_QUOTES

  See Also:
    Constant Field Values

### SLASHY_QUOTES

    public static final String SLASHY_QUOTES

  See Also:
    Constant Field Values

### DIGIT

    public static final String DIGIT

  See Also:
    Constant Field Values

### IDENT

    public static final String IDENT

  See Also:
    Constant Field Values

### OPERATION

    public static final String OPERATION

  See Also:
    Constant Field Values

### LEFT_PARENS

    public static final String LEFT_PARENS

  See Also:
    Constant Field Values

### RESERVED_WORD

    public static final String RESERVED_WORD

  See Also:
    Constant Field Values

### RESERVED_WORDS

    public static final String[] RESERVED_WORDS

Constructor Detail

### GroovyFilter

    public GroovyFilter(DefaultStyledDocument doc)

  Creates a new instance of GroovyFilter

Method Detail

### installAutoTabAction

    public static void installAutoTabAction(JTextComponent tComp)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2010 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD